org.wso2.carbon.cloud.gateway.agent.stub

## Interface CGAgentAdminService

- All Known Implementing Classes:
    CGAgentAdminServiceStub

      public interface CGAgentAdminService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCGServer(CGServerBean csgServer33)` Auto generated method signature for Asynchronous Invocations
    `void` | `doServiceUpdate(String serviceName30, int eventType31)` Auto generated method signature for Asynchronous Invocations
    `CGServerBean` | `getCGServer(String csgServerName43)` Auto generated method signature
    `CGServerBean[]` | `getCGServerList()` Auto generated method signature
    `CGProxyToolsURLs` | `getPublishedProxyToolsURLs(String serviceName35)` Auto generated method signature
    `String` | `getPublishedServer(String serviceName60)` Auto generated method signature
    `String` | `getServiceStatus(String serviceName56)` Auto generated method signature
    `boolean` | `isHasPublishedServices(String csgServerName39)` Auto generated method signature
    `void` | `publishService(String serviceName23, String serverName24, boolean isAutomatic25)` Auto generated method signature for Asynchronous Invocations
    `void` | `removeCGServer(String csgServerName64)` Auto generated method signature for Asynchronous Invocations
    `void` | `rePublishService(String serviceName19, String serverName20, boolean isAutomatic21)` Auto generated method signature for Asynchronous Invocations
    `void` | `setServiceStatus(String serviceName47, String status48)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCGServer(String csgServerName43, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCGServerList(CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPublishedProxyToolsURLs(String serviceName35, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPublishedServer(String serviceName60, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetServiceStatus(String serviceName56, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisHasPublishedServices(String csgServerName39, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `unPublishService(String serviceName50, String serverName51, boolean isCheckBackend52)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateCGServer(CGServerBean csgServer54)` Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### rePublishService

          void rePublishService(String serviceName19,
                                String serverName20,
                                boolean isAutomatic21)
                         throws RemoteException,
                                CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### publishService

          void publishService(String serviceName23,
                              String serverName24,
                              boolean isAutomatic25)
                       throws RemoteException,
                              CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### getCGServerList

          CGServerBean[] getCGServerList()
                                  throws RemoteException,
                                         CGAgentAdminServiceCGException

      Auto generated method signature
      Parameters:
        `getCGServerList26` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### startgetCGServerList

          void startgetCGServerList(CGAgentAdminServiceCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getCGServerList26` -
      Throws:
        `RemoteException`

    - #### doServiceUpdate

          void doServiceUpdate(String serviceName30,
                               int eventType31)
                        throws RemoteException,
                               CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### addCGServer

          void addCGServer(CGServerBean csgServer33)
                    throws RemoteException,
                           CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### getPublishedProxyToolsURLs

          CGProxyToolsURLs getPublishedProxyToolsURLs(String serviceName35)
                                               throws RemoteException,
                                                      CGAgentAdminServiceCGException

      Auto generated method signature
      Parameters:
        `getPublishedProxyToolsURLs34` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### startgetPublishedProxyToolsURLs

          void startgetPublishedProxyToolsURLs(String serviceName35,
                                               CGAgentAdminServiceCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getPublishedProxyToolsURLs34` -
      Throws:
        `RemoteException`

    - #### isHasPublishedServices

          boolean isHasPublishedServices(String csgServerName39)
                                  throws RemoteException,
                                         CGAgentAdminServiceCGException

      Auto generated method signature
      Parameters:
        `isHasPublishedServices38` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### startisHasPublishedServices

          void startisHasPublishedServices(String csgServerName39,
                                           CGAgentAdminServiceCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `isHasPublishedServices38` -
      Throws:
        `RemoteException`

    - #### getCGServer

          CGServerBean getCGServer(String csgServerName43)
                            throws RemoteException,
                                   CGAgentAdminServiceCGException

      Auto generated method signature
      Parameters:
        `getCGServer42` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### startgetCGServer

          void startgetCGServer(String csgServerName43,
                                CGAgentAdminServiceCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getCGServer42` -
      Throws:
        `RemoteException`

    - #### setServiceStatus

          void setServiceStatus(String serviceName47,
                                String status48)
                         throws RemoteException,
                                CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### unPublishService

          void unPublishService(String serviceName50,
                                String serverName51,
                                boolean isCheckBackend52)
                         throws RemoteException,
                                CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### updateCGServer

          void updateCGServer(CGServerBean csgServer54)
                       throws RemoteException,
                              CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### getServiceStatus

          String getServiceStatus(String serviceName56)
                           throws RemoteException,
                                  CGAgentAdminServiceCGException

      Auto generated method signature
      Parameters:
        `getServiceStatus55` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### startgetServiceStatus

          void startgetServiceStatus(String serviceName56,
                                     CGAgentAdminServiceCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getServiceStatus55` -
      Throws:
        `RemoteException`

    - #### getPublishedServer

          String getPublishedServer(String serviceName60)
                             throws RemoteException,
                                    CGAgentAdminServiceCGException

      Auto generated method signature
      Parameters:
        `getPublishedServer59` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### startgetPublishedServer

          void startgetPublishedServer(String serviceName60,
                                       CGAgentAdminServiceCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getPublishedServer59` -
      Throws:
        `RemoteException`

    - #### removeCGServer

          void removeCGServer(String csgServerName64)
                       throws RemoteException,
                              CGAgentAdminServiceCGException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.